%define dist Tk-HistEntry
Name: perl-%dist
Version: 0.42
Release: alt1

Summary: Entry widget with history capability
Group: Development/Perl
License: GPL or Artistic

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

# Added by buildreq2 on Thu Jun 30 2005
BuildRequires: perl-Tk perl-devel xorg-x11-server xvfb-run

%description
Tk::HistEntry implements an entry widget with history. You may use the
up and down keys to select older entries (or use the associated listbox).

%prep
%setup -q -n %dist-%version

%build
%ifndef _build_display
%def_without test
%endif
%perl_vendor_build

xvfb-run -a %__make test

%install
%perl_vendor_install

%files
%doc Changes README
%dir %perl_vendor_privlib/Tk
%perl_vendor_privlib/Tk/HistEntry.pm

%changelog
* Thu Jun 30 2005 Alexey Tourbin <at@altlinux.ru> 0.42-alt1
- initial revision (for perl-Tk-Pod)
